### Enumeration

# GdkAxisUse

#### Declaration

    enum Gdk.AxisUse

#### Description [src]

Defines how device axes are interpreted by GTK.

Note that the X and Y axes are not really needed; pointer devices report their location via the x/y members of events regardless. Whether X and Y are present as axes depends on the GDK backend.

#### Members

`GDK_AXIS_IGNORE`

  The axis is ignored.

  - Value: `0`
  - Nickname: `ignore`
  - Available since: 4.0
`GDK_AXIS_X`

  The axis is used as the x axis.

  - Value: `1`
  - Nickname: `x`
  - Available since: 4.0
`GDK_AXIS_Y`

  The axis is used as the y axis.

  - Value: `2`
  - Nickname: `y`
  - Available since: 4.0
`GDK_AXIS_DELTA_X`

  The axis is used as the scroll x delta.

  - Value: `3`
  - Nickname: `delta-x`
  - Available since: 4.0
`GDK_AXIS_DELTA_Y`

  The axis is used as the scroll y delta.

  - Value: `4`
  - Nickname: `delta-y`
  - Available since: 4.0
`GDK_AXIS_PRESSURE`

  The axis is used for pressure information.

  - Value: `5`
  - Nickname: `pressure`
  - Available since: 4.0
`GDK_AXIS_XTILT`

  The axis is used for x tilt information.

  - Value: `6`
  - Nickname: `xtilt`
  - Available since: 4.0
`GDK_AXIS_YTILT`

  The axis is used for y tilt information.

  - Value: `7`
  - Nickname: `ytilt`
  - Available since: 4.0
`GDK_AXIS_WHEEL`

  The axis is used for wheel information.

  - Value: `8`
  - Nickname: `wheel`
  - Available since: 4.0
`GDK_AXIS_DISTANCE`

  The axis is used for pen/tablet distance information.

  - Value: `9`
  - Nickname: `distance`
  - Available since: 4.0
`GDK_AXIS_ROTATION`

  The axis is used for pen rotation information.

  - Value: `10`
  - Nickname: `rotation`
  - Available since: 4.0
`GDK_AXIS_SLIDER`

  The axis is used for pen slider information.

  - Value: `11`
  - Nickname: `slider`
  - Available since: 4.0
`GDK_AXIS_LAST`

  A constant equal to the numerically highest axis value.

  - Value: `12`
  - Nickname: `last`
  - Available since: 4.0